Bug 455377 - After resume, video is sometimes blank
After resume, video is sometimes blank
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 04:45 EDT by Éric Brunet
Modified: 2013-03-05 22:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Éric Brunet 2008-07-15 04:45:59 EDT
I have a Dell D430 running Fedora 8 and, since about the time the kernel 
2.6.25 was released, I experienced a new problem with video: sometimes, (about 
one out of ten trials) the screen does not wake up at resume and remains 
blank.

When things go wrong, I find in /var/log/pm-suspend.log
   running hook: /usr/lib/pm-utils/sleep.d/99video =====
   Error: something went wrong performing real mode call
   Error: something went wrong performing real mode interrupt

The Dell D430 used to have no info in HAL .fdi database, and I had a file 
in /etc/pm/config.d with
   DISPLAY_QUIRK_VBE_POST="true"

A comment of Kyle McMartin in bug 373041 made me realized that about the time 
kernel 2.6.25 was released, a new version of hal was shipped. The current 
version of hal (hal-0.5.10-3.fc8) contains quirks for the D430: 
quirk.vbe_post=true and quirk.vbemode_restore=true.

I wonder if quirk.vbemode_restore is not the source of my problems. My file 
in /etc/pm/config.d now contains
   DISPLAY_QUIRK_VBEMODE_RESTORE="false"
I made a couple of suspend/resume and things are working nicely (video comes 
back up, brightness keys and text consoles are working). I'll report here if I 
experience again a resume with a blank screen.
Comment 1 Bug Zapper 2008-11-26 06:00:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 01:40:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.